# openstack.block_storage.v2.type

## The Type Class

The `Type` class inherits from `Resource`.

class openstack.block_storage.v2.type.Type(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  resource_key = 'volume_type'

    Singular form of key for resource.

  resources_key = 'volume_types'

    Plural form of key for resource.

  base_path = '/types'

    The base part of the URI for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  allow_create = True

    Allow create operation for this resource.

  allow_delete = True

    Allow delete operation for this resource.

  allow_list = True

    Allow list operation for this resource.

  extra_specs

    A dict of extra specifications. “capabilities” is a usual key.

  is_public

    a private volume-type. Type: bool

  get_private_access(session)

    List projects with private access to the volume type.

    Parameters:

      session – The session to use for making this request.

    Returns:

      The volume type access response.

  add_private_access(session, project_id)

    Add project access from the volume type.

    Parameters:

      - session – The session to use for making this request.

      - project_id – The project to add access for.

  remove_private_access(session, project_id)

    Remove project access from the volume type.

    Parameters:

      - session – The session to use for making this request.

      - project_id – The project to remove access for.

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.